{% extends 'Default/index.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/css/dataTables.bootstrap4.min.css" integrity="sha512-PT0RvABaDhDQugEbpNMwgYBCnGCiTZMh9yOzUsJHDgl/dMhD9yjHAwoumnUk3JydV3QTcIkNDuN40CJxik5+WQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js" integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/dataTables.bootstrap4.min.js" integrity="sha512-OQlawZneA7zzfI6B1n1tjUuo3C5mtYuAWpQdg+iI9mkDoo7iFzTqnQHf+K5ThOWNJ9AbXL4+ZDwH7ykySPQc+A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script>
    const lang = document.documentElement.lang.toString();
    //Default
    let url_language = '/bundles/app/js/libs/datatables/it-IT.json';
    if(lang === 'en'){
      url_language = '/bundles/app/js/libs/datatables/en-GB.json';
    }else if(lang === 'de'){
      url_language = '/bundles/app/js/libs/datatables/de-DE.json';
    }
    // Datatable
    $('#service-table').DataTable({
      "order": [[ 0, "asc" ]],
      columnDefs: [
        { orderable: false, targets: 2 },
        { orderable: false, targets: 3 }
      ],
      language: {
        url: url_language
      },
      stateSave: true,
      dom: "<'row'<'col-6 pt-2'l><'col-6'f>>" +
        "<'row'<'col-12'tr>>" +
        "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 mt-2'p>>"
    });
  </script>
{% endblock %}

{% block main_content %}
  <section id="intro" class="container-fluid px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'nav.admin.servizi'|trans }}</h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2 table-responsive">
        <table id="service-table" class="table table-striped table-condensed table-sm">
          <thead>
          <tr>
            <th>{{ 'servizio.gruppo'|trans }}<i class="fa fa-caret-right px-2" aria-hidden="true"></i>{{ 'general.nome'|trans }}</th>
            <th>{{ 'servizio.categoria'|trans }}</th>
            <th>{{ 'general.stato'|trans }}</th>
            <th aria-label="{{ 'no_value' | trans() }}" ></th>
            <th aria-label="{{ 'no_value' | trans() }}" ></th>
          </tr>
          </thead>
          <tbody>
          {% for item in items %}
            <tr>
              <td class="w-60">
                {% if item.serviceGroup %}
                  {{ item.serviceGroup.name }}
                  <i class="fa fa-caret-right px-2" aria-hidden="true"></i>
                {% endif %}
                <a href="{{ path('new_application_by_operator', {'servizio': item.id}) }}">{{ item.name }}</a>
              </td>
              <td>
                {% if item.sharedWithGroup %}
                  {{ item.serviceGroup.topics is defined ? item.serviceGroup.topics.name : '' }}
                {% else %}
                  {{ (item.topics) ? item.topics.name : '' }}
                {% endif %}
              </td>
              <td>
                {{ statuses[item.status] }}
                {% if item.status == 4 %}
                  <small class="d-block">{{ 'from' | trans }} {{ item.scheduledFrom|format_datetime('medium', 'short', locale=app.request.locale) }}</small>
                  <small class="d-block">{{ 'to' | trans }} {{ item.scheduledTo|format_datetime('medium', 'short', locale=app.request.locale) }}</small>
                {% endif %}
              </td>
              <td class="text-right">
                {% if feature('feature_due_amount') and is_granted('import_payments', item) and item.isDuePayment %}
                <a class="btn btn btn-outline-primary btn-xs text-nowrap" href="{{ path('payments_service_list', {'service_id': item.id}) }}"
                        data-target="">
                  <svg class="icon icon-xs icon-primary">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
                  </svg>
                  <span class="d-none d-md-inline-block">{{ 'pratica.due_amount' | trans }}</span>
                </a>
                {% endif %}
              </td>
                <td class="text-right">
                  {% if is_granted('create_application', item) and item.isFormio %}
                  <a class="btn btn-primary btn-xs text-nowrap" href="{{ path('new_application_by_operator', {'servizio': item.id}) }}">
                    <svg class="icon icon-xs icon-white">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-pencil"></use>
                    </svg>
                    <span class="d-none d-md-inline-block">{{ 'pratica.create_applications' | trans }}</span>
                  </a>
                  {% endif %}
                </td>
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </section>
{% endblock %}
